CHSH(1)

NAZWA
chsh - zmiana powłoki zgłoszeniowej

STRESZCZENIE

chsh [opcje] [LOGIN]

OPIS

The chsh command changes the user login shell. This determines the name of the user's initial login command. A normal user may only change the login shell for her own account; the superuser may change the login shell for any account.

OPCJE

Polecenie chsh posiada następujące opcje:

-h, --help
    Wyświetlenie komunikatu pomocy i zakończenie działania.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-s, --shell SHELL
    Nazwa nowej powłoki (shell) użytkownika. Ustawienie tego pola na puste powoduje, że system wybierze domyślną powłokę logowania.

Jeżeli nie podano opcji -s, to polecenie chsh działa w trybie interaktywnym, proponując użytkownikowi bieżącą powłokę logowania. Wprowadzenie nowej wartości powoduje zmianę powłoki, a podanie wartości pustej pozostawia bieżącą powłokę. Bieżąca powłoka wyświetlana jest w nawiasach [ ]

UWAGI

Jedynym ograniczeniem nałożonym na powłokę zgłoszeniową jest to, że jej nazwa musi być wymieniona w /etc/shells, chyba że polecenie chsh zostało uruchomione przez superużytkownika wówczas może być podana dowolna nazwa. Użytkownicy kont z ograniczoną powłoką logowania nie mogą jej zmieniać. Odradza się z tego powodu umieszczanie /bin/rsh w pliku /etc/shells, gdyż przypadkowa zmiana na powłokę ograniczoną uniemożliwi użytkownikowi jakąkolwiek zmianę powłoki logowania, nawet z powrotem na dotychczasową.

PLIKI

/etc/passwd
    Informacja o kontach użytkowników.

/etc/shells
    Lista dozwolonych powłok zgłoszeniowych.

/etc/login.defs
    Konfiguracja pakietu shadow.

ZOBACZ TAKŻE

chfn(1), login.defs(5), passwd(5).